/* Russian Virtual (on-screen) keyboard - 

  JavaScript file for non-US physical keyboards
                      =========================
                       
  Copyright (c) 2005  Paul Gorodyansky
  
  Implementation: http://Kbd.WinRus.com (http://WinRus.com/onklava.htm)
  or Russian interface version: 
  http://Klava.WinRus.com (http://WinRus.com/klava.htm)

  Paul Gorodyansky - paulgor@compuserve.com, author of the site
  "Cyrillic (Russian): instructions for Windows and Internet": 
  http://WinRus.com/
  ( same as http://WinRus.com )
   
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.    
 *  
 */

JSnonUSwasLoaded = true;

var Show_ToLatin1 = false;
if (typeof ToLatin != 'undefined')
  if (ToLatin)  Show_ToLatin1 = true;

                  // MS Standard  - German keyboard
  var KbdVariant41 = {
     "": "", 
     "!": "!",     
    "\"": "\"",
     "": "", 
     "$": ";", 
     "%": "%", 
     "&": ":", 
     "/": "?", 
     "(": "*", 
     ")": "(", 
     "=": ")", 
     "?": "_", 
     "`": "+", 
    
     "^": "", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
"\u00df": "-",     
"\u00b4": "=",     
    
     "Q": "", 
     "W": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Z": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
"\u00dc": "", 
     "*": "", 
        
     "q": "",  
     "w": "",  
     "e": "",  
     "r": "",  
     "t": "",  
     "z": "",  
     "u": "",  
     "i": "",  
     "o": "",  
     "p": "",  
"\u00fc": "",  
     "+": "",  
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "'": "/", 
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "#": "\\", 
     
     ">": ">",    
     "Y": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": "",
     ":": "",
     "_": ",",    
          
     "<": "<",
     "y": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": "",
     ".": "",
     "-": "." 
  };


  var KbdVariant61 = {  //German1
     "": "",
     "!": "!",    
    "\"": "\"",
     "": "",
     "$": "$",
     "%": "%",
     "&": "&",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "^": "^",
     "1": "1",
     "2": "2",
     "3": "",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
"\u00df": "\u00df",    
"\u00b4": "\u00b4",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Z": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00dc": "",
     "*": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "z": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00fc": "",
     "+": "",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "X",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "'": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "#": "",
     
     ">": "",    
     "Y": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "",
     "y": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  // Copyright (c) 2005  Paul Gorodyansky http://WinRus.com http://Klava.WinRus.com  
var KbdVariant62 = {  //German2
     "": "",
     "!": "!",    
    "\"": "\"",
     "": "",
     "$": "",
     "%": "%",
     "&": "",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "^": "^",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
"\u00df": "",    
"\u00b4": "\u00b4",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Z": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00dc": "",
     "*": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "z": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00fc": "",
     "+": "",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "'": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "#": "",
     
     ">": ">",    
     "Y": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "y": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };  
  
                    // MS Standard  - Swedish keyboard
  var KbdVariant42 = {
"\u00bd": "", 
     "!": "!",     
    "\"": "\"",
     "#": "", 
     "": ";", 
     "%": "%", 
     "&": ":", 
     "/": "?", 
     "(": "*", 
     ")": "(", 
     "=": ")", 
     "?": "_", 
     "`": "+", 
        
     "": "", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "+": "-",     
"\u00b4": "=",     
        
     "Q": "", 
     "W": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Y": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
"\u00c5": "", 
     "^": "", 
        
     "q": "",  
     "w": "",  
     "e": "",  
     "r": "",  
     "t": "",  
     "y": "",  
     "u": "",  
     "i": "",  
     "o": "",  
     "p": "",  
"\u00e5": "",  
"\u00a8": "",  
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "*": "/", 
        
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "'": "\\", 
        
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": "",
     ":": "",
     "_": ",",    
          
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": "",
     ".": "",
     "-": "." 
  };
  
  
    var KbdVariant71 = {  // Swedish-1
"\u00bd": "",
     "!": "!",    
    "\"": "-",
     "#": "#",
     "": "",
     "%": "%",
     "&": "&",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "",
     "`": "",
    
     "": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "",    
"\u00b4": "",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00c5": "",
     "^": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00e5": "",
"\u00a8": "",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "X",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "*": "*",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "'": "'",
     
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  

    var KbdVariant72 = {  // Swedish-2
"\u00bd": "",
     "!": "!",    
    "\"": "\"",
     "#": "",
     "": "",
     "%": "%",
     "&": "'",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "",
     "`": "`",
    
     "": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "",    
"\u00b4": "\u00b4",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00c5": "",
     "^": "^",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00e5": "",
"\u00a8": "\u00a8",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "X",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "*": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "'": "",
     
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };


  
  var KbdVariant73 = {  // Swedish-3
"\u00bd": "",
     "!": "!",    
    "\"": "\"",
     "#": "",
     "": "",
     "%": "",
     "&": "",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "'",    
"\u00b4": "\u00b4",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00c5": "",
     "^": "^",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00e5": "",
"\u00a8": "\u00a8",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00d6": "",
"\u00c4": "",
     "*": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f6": "",
"\u00e4": "",
     "'": "",
     
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };

var KbdVariant43 = {  // // MS Standard  - French keyboard
"\u00b3": "", 
     "1": "!", 
     "2": "\"",
     "3": "", 
     "4": ";", 
     "5": "%", 
     "6": ":", 
     "7": "?", 
     "8": "*", 
     "9": "(", 
     "0": ")", 
     "": "_", 
     "+": "+", 
               
"\u00b2": "", 
     "&": "1", 
"\u00e9": "2", 
    "\"": "3", 
     "'": "4", 
     "(": "5", 
     "-": "6", 
"\u00e8": "7", 
     "_": "8", 
"\u00e7": "9", 
"\u00e0": "0", 
     ")": "-", 
     "=": "=", 
               
     "A": "", 
     "Z": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Y": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
"\u00A8": "", 
"\u00A3": "", 
               
     "a": "", 
     "z": "", 
     "e": "", 
     "r": "", 
     "t": "", 
     "y": "", 
     "u": "", 
     "i": "", 
     "o": "", 
     "p": "", 
     "^": "", 
     "$": "", 
               
     "Q": "", 
     "S": "", 
     "D": "", 
     "F": "", 
     "G": "", 
     "H": "", 
     "J": "", 
     "K": "", 
     "L": "", 
     "M": "", 
     "%": "", 
"\u00B5": "/", 
               
     "q": "", 
     "s": "", 
     "d": "", 
     "f": "", 
     "g": "", 
     "h": "", 
     "j": "", 
     "k": "", 
     "l": "", 
     "m": "", 
"\u00f9": "", 
     "*": "\\",
               
     ">": ">", 
     "W": "", 
     "X": "", 
     "C": "", 
     "V": "", 
     "B": "", 
     "N": "", 
     "?": "", 
     ".": "", 
     "/": "", 
     "": ",", 
               
     "<": "<", 
     "w": "", 
     "x": "", 
     "c": "", 
     "v": "", 
     "b": "", 
     "n": "", 
     ",": "", 
     ";": "", 
     ":": "", 
     "!": "."  
  };

var KbdVariant81 = {  // French1
"\u00b3": "\u20ac",
     "1": "1",    
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "": "",
     "+": "",
    
"\u00b2": "!",
     "&": "",
"\u00e9": "",
    "\"": "\"",
     "'": "'",
     "(": "(",
     "-": "-",
"\u00e8": "\u00e8",
     "_": "_",
"\u00e7": "",
"\u00e0": "",
     ")": ")",    
     "=": "",    
    
     "A": "",
     "Z": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00A8": "\u00A8",
"\u00A3": "",
    
     "a": "",
     "z": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
     "^": "^",
     "$": "",
        
     "Q": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
     "M": "",
     "%": "",
"\u00B5": "",
    
     "q": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
     "m": "",
"\u00f9": "",
     "*": "",
     
     ">": ">",    
     "W": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "?": "?",    
     ".": ".",
     "/": "/",
     "": "",    
    
     "<": "<",
     "w": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     ",": ",",    
     ";": ";",
     ":": ":",
     "!": ""
  };

    var KbdVariant44 = {  // Italian - standard Russian 
     "|": "",   
     "!": "!",   
    "\"": "\"",  
"\u00a3": "",   
     "$": ";",   
     "%": "%",   
     "&": ":",   
     "/": "?",   
     "(": "*",   
     ")": "(",   
     "=": ")",   
     "?": "_",   
     "^": "+",   
                 
    "\\": "",   
     "1": "1",   
     "2": "2",   
     "3": "3",   
     "4": "4",   
     "5": "5",   
     "6": "6",   
     "7": "7",   
     "8": "8",   
     "9": "9",   
     "0": "0",   
     "'": "-",   
"\u00ec": "=",   
                 
     "Q": "",   
     "W": "",   
     "E": "",   
     "R": "",   
     "T": "",   
     "Y": "",   
     "U": "",   
     "I": "",   
     "O": "",   
     "P": "",   
"\u00e9": "",   
     "*": "",   
                 
     "q": "",   
     "w": "",   
     "e": "",   
     "r": "",   
     "t": "",   
     "y": "",   
     "u": "",   
     "i": "",   
     "o": "",   
     "p": "",   
"\u00e8": "",   
     "+": "",   
                 
     "A": "",   
     "S": "",   
     "D": "",   
     "F": "",   
     "G": "",   
     "H": "",   
     "J": "",   
     "K": "",   
     "L": "",   
"\u00e7": "",   
     "": "",   
     "": "/",   
                 
     "a": "",   
     "s": "",   
     "d": "",   
     "f": "",   
     "g": "",   
     "h": "",   
     "j": "",   
     "k": "",   
     "l": "",   
"\u00f2": "",   
"\u00e0": "",   
"\u00f9": "\\",  
                 
     ">": ">",   
     "Z": "",   
     "X": "",   
     "C": "",   
     "V": "",   
     "B": "",   
     "N": "",   
     "M": "",   
     ";": "",   
     ":": "",   
     "_": ",",   
                 
     "<": "<",   
     "z": "",   
     "x": "",   
     "c": "",   
     "v": "",   
     "b": "",   
     "n": "",   
     "m": "",   
     ",": "",   
     ".": "",   
     "-": "."    
  };


  
    var KbdVariant91 = {  // Italian1
     "|": "",
     "!": "!",    
    "\"": "\"",
"\u00a3": "",
     "$": "",
     "%": "%",
     "&": "",
     "/": "",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "^": "",
    
    "\\": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "'": "'",    
"\u00ec": "",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
"\u00e9": "",
     "*": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
"\u00e8": "",
     "+": "",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00e7": "\u00e7",
     "": "",
     "": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f2": "\u00f2",
"\u00e0": "\u00e0",
"\u00f9": "",
     
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  
  
   var KbdVariant45 = {  // Spanish - Standard Russian 
"\u00aa": "",   
     "!": "!",   
    "\"": "\"",  
"\u00b7": "",   
     "$": ";",   
     "%": "%",   
     "&": ":",   
     "/": "?",   
     "(": "*",   
     ")": "(",   
     "=": ")",   
     "?": "_",   
"\u00bf": "+",   
                 
"\u00ba": "",   
     "1": "1",   
     "2": "2",   
     "3": "3",   
     "4": "4",   
     "5": "5",   
     "6": "6",   
     "7": "7",   
     "8": "8",   
     "9": "9",   
     "0": "0",   
     "'": "-",   
"\u00a1": "=",   
                 
     "Q": "",   
     "W": "",   
     "E": "",   
     "R": "",   
     "T": "",   
     "Y": "",   
     "U": "",   
     "I": "",   
     "O": "",   
     "P": "",   
     "^": "",   
     "*": "",   
                 
     "q": "",   
     "w": "",   
     "e": "",   
     "r": "",   
     "t": "",   
     "y": "",   
     "u": "",   
     "i": "",   
     "o": "",   
     "p": "",   
     "`": "",   
     "+": "",   
                 
     "A": "",   
     "S": "",   
     "D": "",   
     "F": "",   
     "G": "",   
     "H": "",   
     "J": "",   
     "K": "",   
     "L": "",   
"\u00d1": "",   
"\u00a8": "",   
"\u00c7": "/",   
                 
     "a": "",   
     "s": "",   
     "d": "",   
     "f": "",   
     "g": "",   
     "h": "",   
     "j": "",   
     "k": "",   
     "l": "",   
"\u00f1": "",   
"\u00b4": "",   
"\u00e7": "\\",  
                 
     ">": ">",   
     "Z": "",   
     "X": "",   
     "C": "",   
     "V": "",   
     "B": "",   
     "N": "",   
     "M": "",   
     ";": "",   
     ":": "",   
     "_": ",",   
                 
     "<": "<",   
     "z": "",   
     "x": "",   
     "c": "",   
     "v": "",   
     "b": "",   
     "n": "",   
     "m": "",   
     ",": "",   
     ".": "",   
     "-": "."    
  };             
  
  
    var KbdVariant101 = {  // Spanish1
"\u00aa": "",
     "!": "!",    
    "\"": "\"",
"\u00b7": "",
     "$": "",
     "%": "%",
     "&": "",
     "/": "",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
"\u00bf": "",
    
"\u00ba": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "'": "'",    
"\u00a1": "",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
     "^": "^",
     "*": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
     "`": "`",
     "+": "",
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
"\u00d1": "",
"\u00a8": "\u00a8",
"\u00c7": "",
    
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
"\u00f1": "",
"\u00b4": "\u00b4",
"\u00e7": "",
     
     ">": ">",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "-": "-"
  };


                                 // British - standard Russian 
  var KbdVariant46 = {          
"\u00ac": "",    
     "!": "!",    
    "\"": "\"",   
"\u00a3": "",    
     "$": ";",    
     "%": "%",    
     "^": ":",    
     "&": "?",    
     "*": "*",    
     "(": "(",    
     ")": ")",    
     "_": "_",    
     "+": "+",    
                  
     "`": "",    
     "1": "1",    
     "2": "2",    
     "3": "3",    
     "4": "4",    
     "5": "5",    
     "6": "6",    
     "7": "7",    
     "8": "8",    
     "9": "9",    
     "0": "0",    
     "-": "-",    
     "=": "=",    
                  
     "Q": "",    
     "W": "",    
     "E": "",    
     "R": "",    
     "T": "",    
     "Y": "",    
     "U": "",    
     "I": "",    
     "O": "",    
     "P": "",    
     "{": "",    
     "}": "",    
                  
     "q": "",    
     "w": "",    
     "e": "",    
     "r": "",    
     "t": "",    
     "y": "",    
     "u": "",    
     "i": "",    
     "o": "",    
     "p": "",    
     "[": "",    
     "]": "",    
                  
     "A": "",    
     "S": "",    
     "D": "",    
     "F": "",    
     "G": "",    
     "H": "",    
     "J": "",    
     "K": "",    
     "L": "",    
     ":": "",    
     "@": "",    
     "~": "/",    
                  
     "a": "",    
     "s": "",    
     "d": "",    
     "f": "",    
     "g": "",    
     "h": "",    
     "j": "",    
     "k": "",    
     "l": "",    
     ";": "",    
     "'": "",    
     "#": "\\",   
                  
     "|": ">",    
     "Z": "",    
     "X": "",    
     "C": "",    
     "V": "",    
     "B": "",    
     "N": "",    
     "M": "",    
     "<": "",    
     ">": "",    
     "?": ",",    
                  
    "\\": "<",    
     "z": "",    
     "x": "",    
     "c": "",    
     "v": "",    
     "b": "",    
     "n": "",    
     "m": "",    
     ",": "",    
     ".": "",    
     "/": "."     
  };    

                                 // British1
  var KbdVariant111 = {          
"\u00ac": "",
     "!": "!",    
    "\"": "\"",
"\u00a3": "\u00a3",
     "$": "",
     "%": "",
     "^": "",
     "&": "",
     "*": "*",
     "(": "(",
     ")": ")",
     "_": "_",
     "+": "",
    
     "`": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "-": "-",    
     "=": "",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
     "{": "",
     "}": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
     "[": "",
     "]": "",
    
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
     ":": ":",
     "@": "@",
     "~": "",
        
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
     ";": ";",
     "'": "'",
     "#": "",
    
     "|": "|",   
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     "<": "<",
     ">": ">",
     "?": "?",    
    
    "\\": "\\",   
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "/": "/"
  };    

                                 // British1 - Ukrainian
  var KbdVariant112 = {          
"\u00ac": "",
     "!": "!",    
    "\"": "\"",
"\u00a3": "\u00a3",
     "$": "",
     "%": "",
     "^": "",
     "&": "",
     "*": "*",
     "(": "(",
     ")": ")",
     "_": "_",
     "+": "",
    
     "`": "",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "-": "-",    
     "=": "",    
    
     "Q": "",
     "W": "",
     "E": "",
     "R": "",
     "T": "",
     "Y": "",
     "U": "",
     "I": "",
     "O": "",
     "P": "",
     "{": "",
     "}": "",
    
     "q": "",
     "w": "",
     "e": "",
     "r": "",
     "t": "",
     "y": "",
     "u": "",
     "i": "",
     "o": "",
     "p": "",
     "[": "",
     "]": "",
    
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
     ":": ":",
     "@": "@",
     "~": "",
        
     "a": "",
     "s": "",
     "d": "",
     "f": "",
     "g": "",
     "h": "",
     "j": "",
     "k": "",
     "l": "",
     ";": ";",
     "'": "'",
     "#": "",
    
     "|": "|",   
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     "<": "<",
     ">": ">",
     "?": "?",    
    
    "\\": "\\",   
     "z": "",
     "x": "",
     "c": "",
     "v": "",
     "b": "",
     "n": "",
     "m": "",    
     ",": ",",
     ".": ".",
     "/": "/"
  };    

                  // MS Standard  - Hebrew keyboard
  var KbdVariant47 = {
     "~": "", 
     "!": "!",     
     "@": "\"",
     "#": "", 
     "$": ";", 
     "%": "%", 
     "^": ":", 
     "&": "?", 
     "*": "*", 
     ")": "(", 
     "(": ")", 
     "_": "_", 
     "+": "+", 
    
     ";": "", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "=",     
    
     "Q": "", 
     "W": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Y": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
     "}": "", 
     "{": "", 
        
     "/": "",  
     "'": "",  
"\u05e7": "",  
"\u05e8": "",  
"\u05d0": "",  
"\u05d8": "",  
"\u05d5": "",  
"\u05df": "",  
"\u05dd": "",  
"\u05e4": "",  
     "]": "",  
     "[": "",  
        
     "A": "",
     "S": "",
     "D": "",
     "F": "",
     "G": "",
     "H": "",
     "J": "",
     "K": "",
     "L": "",
     ":": "",
    "\"": "",
     "|": "/", 
    
"\u05e9": "",
"\u05d3": "",
"\u05d2": "",
"\u05db": "",
"\u05e2": "",
"\u05d9": "",
"\u05d7": "",
"\u05dc": "",
"\u05da": "",
"\u05e3": "",
     ",": "",
    "\\": "\\", 
     
     "|": "|",    
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",    
     ">": "",
     "<": "",
     "?": ",",    
          
     "\\": "\\",
"\u05d6": "",
"\u05e1": "",
"\u05d1": "",
"\u05d4": "",
"\u05e0": "",
"\u05de": "",
"\u05e6": "",    
"\u05ea": "",
"\u05e5": "",
     ".": "." 
  };


                  // Hebrew-1
  var KbdVariant121 = {
     "~": "",
     "!": "!",    
     "@": "",
     "#": "",
     "$": "$",
     "%": "%",
     "^": "",
     "&": "",
     "*": "*",
     ")": ")",
     "(": "(",
     "_": "_",
     "+": "",
    
     ";": "", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "",     
    
     "Q": "", 
     "W": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Y": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
     "}": "", 
     "{": "", 
        
     "/": "",  
     "'": "",  
"\u05e7": "",  
"\u05e8": "",  
"\u05d0": "",  
"\u05d8": "",  
"\u05d5": "",  
"\u05df": "",  
"\u05dd": "",  
"\u05e4": "",  
     "]": "",  
     "[": "",  
        
     "A": "", 
     "S": "", 
     "D": "", 
     "F": "", 
     "G": "", 
     "H": "", 
     "J": "", 
     "K": "", 
     "L": "", 
     ":": ":", 
    "\"":  "\"",
     "|": "", 
    
"\u05e9": "",
"\u05d3": "",
"\u05d2": "",
"\u05db": "",
"\u05e2": "",
"\u05d9": "",
"\u05d7": "",
"\u05dc": "",
"\u05da": "",
"\u05e3": ";",
     ",": ",",
    "\\": "", 
     
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",   
     ">": ">",
     "<": "<",
     "?": "?",    
          
"\u05d6": "",
"\u05e1": "",
"\u05d1": "",
"\u05d4": "",
"\u05e0": "",
"\u05de": "",
"\u05e6": "",    
"\u05ea": "'",
"\u05e5": ",",
     ".": "."
  };
  
                    // Hebrew-2
  var KbdVariant122 = {
     "~": "",
     "!": "!",    
     "@": "",
     "#": "",
     "$": "$",
     "%": "%",
     "^": "",
     "&": "",
     "*": "*",
     ")": "(",
     "(": ")",
     "_": "_",
     "+": "",
    
     ";": "", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "",     
    
     "Q": "", 
     "W": "", 
     "E": "", 
     "R": "", 
     "T": "", 
     "Y": "", 
     "U": "", 
     "I": "", 
     "O": "", 
     "P": "", 
     "}": "", 
     "{": "", 
        
     "/": "",  
     "'": "",  
"\u05e7": "",  
"\u05e8": "",  
"\u05d0": "",  
"\u05d8": "",  
"\u05d5": "",  
"\u05df": "",  
"\u05dd": "",  
"\u05e4": "",  
     "]": "",  
     "[": "",  
        
     "A": "", 
     "S": "", 
     "D": "", 
     "F": "", 
     "G": "", 
     "H": "", 
     "J": "", 
     "K": "", 
     "L": "", 
     ":": ":", 
    "\"":  "\"",
     "|": "", 
    
"\u05e9": "",
"\u05d3": "",
"\u05d2": "",
"\u05db": "",
"\u05e2": "",
"\u05d9": "",
"\u05d7": "",
"\u05dc": "",
"\u05da": "",
"\u05e3": ";",
     ",": "'",
    "\\": "", 
     
     "Z": "",
     "X": "",
     "C": "",
     "V": "",
     "B": "",
     "N": "",
     "M": "",   
     ">": "<",
     "<": ">",
     "?": "?",    
          
"\u05d6": "",
"\u05e1": "",
"\u05d1": "",
"\u05d4": "",
"\u05e0": "",
"\u05de": "",
"\u05e6": "",    
"\u05ea": ",",
"\u05e5": ".",
     ".": "/"
  };


// German1:
var Mouse61 = "!\"$%&/()=?`X˨;:_^124567890" + "\u00df" + "\u00b4"+
              ",.-";
// German2:
var Mouse62 = "!\"%/()=?`˨>;:_^1234567890" + "\u00b4"+
              "<,.-";
                            
// Swedish1:
var Mouse71 = "!-#%&/()=**>;:_1234567890''<,.-";
// Swedish2:
var Mouse72 = "!\"%'/()=`^>;:_1234567890" + "\u00b4" + 
               "" + "\u00a8" + "<,.-";
// Swedish3:
var Mouse73 = "!\"/()=?`^>;:_1234567890'" + "\u00b4" + 
               "" + "\u00a8" + "<,.-";               

// French1:
var Mouse81 = "\u20ac" + "1234567890" + "\u00a8" + "" + ">?./" + 
              "!\"'(-" + "\u00e8" + "_)" + "^<,;:";


// Italian1:
var Mouse91 = "!\"" + "%()=?" + "\u00e7" + ">;:_" +
              "1234567890'" + "\u00f2" + "\u00e0" + "<,.-";

// Spanish1:
var Mouse101 = "!\"%()=?^" + "\u00a8" + ">;:_" +
               "1234567890'`" + "\u00b4" + "<,.-";   
               
// British1:
var Mouse111 = "!\"" + "\u00a3" + "ڸ*()_:@|<>?" +
               "1234567890-;'\\,./";
               
var Mouse112 = "!\"" + "\u00a3" + "*()_Ӳ٪:@|<>?" +
               "1234567890-;'\\,./";               

// Hebrew1:
var Mouse121 = "!$%*)(_:\"|><?1234567890-;,\\',.";

// Hebrew2:
var Mouse122 = Mouse1; //YaZHert

//////////////////////////////////////////////////////////



function nonUS_SetVariant(myForm, parm, PicTagName)
{
   switch (KbdPhysical)                                                        
   {                                                                           
     case "DE":     
       if (KbdVariant == '41') NewKbdPic(PicTagName,'kbd/std_de.png')
       else if (KbdVariant == '61') NewKbdPic(PicTagName,'kbd/german1.png')
       else if (KbdVariant == '62') NewKbdPic(PicTagName,'kbd/german2.png')
       break;                                                                  
                       
     case "SV":  // Swedish     
       if (KbdVariant == '42') NewKbdPic(PicTagName,'kbd/std_sv.png')
       else if (KbdVariant == '71') NewKbdPic(PicTagName,'kbd/swedish1.png')
       else if (KbdVariant == '72') NewKbdPic(PicTagName,'kbd/swedish2.png')
       else if (KbdVariant == '73') NewKbdPic(PicTagName,'kbd/swedish3.png')
       break;                                                                  
     case "FR":                                                                
       if (KbdVariant == '43') NewKbdPic(PicTagName,'kbd/std_fr.png')
       else if (KbdVariant == '81') NewKbdPic(PicTagName,'kbd/french1.png')
       break;                                                 
     case "IT":  // Italian                                                    
       if (KbdVariant == '44') NewKbdPic(PicTagName,'kbd/std_it.png')
       else if (KbdVariant == '91') NewKbdPic(PicTagName,'kbd/italian1.png')
       break;                                                                                 
     case "ES":  // Spanish                                                    
       if (KbdVariant == '45') NewKbdPic(PicTagName,'kbd/std_es.png')
       else if (KbdVariant == '101') NewKbdPic(PicTagName,'kbd/spanish1.png')
       break;                                                                  
     case "UK":                                                                
       if (KbdVariant == '46') NewKbdPic(PicTagName,'kbd/std_uk.png')
       else if (KbdVariant == '111') NewKbdPic(PicTagName,'kbd/british1.png')
       else if (KbdVariant == '112') NewKbdPic(PicTagName,'kbd/brit1ukr.png')
       break;                                                                                                                                                         
     case "IL":     
       if (KbdVariant == '47') NewKbdPic(PicTagName,'kbd/std_il.png')
       else if (KbdVariant == '121') NewKbdPic(PicTagName,'kbd/hebrew1.png')
       else if (KbdVariant == '122') NewKbdPic(PicTagName,'kbd/hebrew2.png')
       break;                                                                                                                                              
     default:                                                                  
       break;                                                                  
   }                                                                                                                                 
}          

function nonUSsetMenus(KbdPhysical)
{
    myForm.Keyboards.options[0].text=", ";
    myForm.Keyboards.options[0].value="EN";
    
    switch (KbdPhysical)                                                        
    {                                                                           
      case "DE":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="41";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="61";          
          myForm.Flayouts.options[2].text="-2";
          myForm.Flayouts.options[2].value="62";          

        break;                                                                  

      case "SV":  // Swedish                                                    
          myForm.Flayouts.options.length=4;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="42";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="71";          
          myForm.Flayouts.options[2].text="-2";
          myForm.Flayouts.options[2].value="72";                    
          myForm.Flayouts.options[3].text="-3";
          myForm.Flayouts.options[3].value="73";                              

          
        break;                                                                  

      case "FR":                                                                
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="43";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="81";          
         
        break;                                                                  

      case "IT":  // Italian                                                    
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="44";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="91";          

        break;                                                                  

      case "ES":  // Spanish                                                    
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="45";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="101";          

        break;                                                                  

      case "UK":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="46";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="111";          
          myForm.Flayouts.options[2].text="-1";
          myForm.Flayouts.options[2].value="112";                    

        break;                                                                                                                                                  

      case "IL":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="47";
          
          myForm.Flayouts.options[0].text="";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="-1";
          myForm.Flayouts.options[1].value="121";          
          myForm.Flayouts.options[2].text="-2";
          myForm.Flayouts.options[2].value="122";          

        break;                                                                  

                                                                                
      case "EN":                                                                
      default:                                                                  
          myForm.Flayouts.options.length=13;
          myForm.Slayouts.options.length=5;
          
          myForm.Slayouts.options[0].text="  4";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="";
          myForm.Slayouts.options[1].value="30";
          myForm.Slayouts.options[2].text=" ()";
          myForm.Slayouts.options[2].value="31";
          myForm.Slayouts.options[3].text=" ";
          myForm.Slayouts.options[3].value="32";
          myForm.Slayouts.options[4].text="";
          myForm.Slayouts.options[4].value="33";          
          
          myForm.Flayouts.options[0].text="  12";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="";
          myForm.Flayouts.options[1].value="1";
          myForm.Flayouts.options[2].text="";
          myForm.Flayouts.options[2].value="2";
          myForm.Flayouts.options[3].text="";
          myForm.Flayouts.options[3].value="3";
          myForm.Flayouts.options[4].text="";
          myForm.Flayouts.options[4].value="4";
          myForm.Flayouts.options[5].text="";
          myForm.Flayouts.options[5].value="5";
          myForm.Flayouts.options[6].text="2";
          myForm.Flayouts.options[6].value="6";
          myForm.Flayouts.options[7].text="2";
          myForm.Flayouts.options[7].value="7";
          myForm.Flayouts.options[8].text="3";
          myForm.Flayouts.options[8].value="8";          
          myForm.Flayouts.options[9].text="2";
          myForm.Flayouts.options[9].value="9";                                                                                
          myForm.Flayouts.options[10].text="3";
          myForm.Flayouts.options[10].value="10";
          myForm.Flayouts.options[11].text="";
          myForm.Flayouts.options[11].value="11";                    
          myForm.Flayouts.options[12].text="";
          myForm.Flayouts.options[12].value="12";                              

          
          // SetVariant(myForm, "Flayouts", myForm.Flayouts.options[1], PicTagName);
        break;                                                                  
    }
        
}
           
function chgKeyboard(myForm, k, SelValue, SelIndex, PicTagName)  
{
 //    myForm.Flayouts.options.length=0;
    

    myForm.Keyboards.options[SelIndex].selected = true;
    KbdPhysical = SelValue; 
     
    var FlayoutsOption; 
    if (interfaceLanguage == 'E' && JSnon_EwasLoaded)
    {
         nonUSsetMenusE(KbdPhysical);
         FlayoutsOption = 5;
    }
    else
    {
         nonUSsetMenus(KbdPhysical);
         FlayoutsOption = 1;
    }
    
    if (KbdPhysical == "EN")
    {
       if (Show_ToLatin1)
       {
          myForm.Latin.options[0].selected = true;
          myForm.Latin.disabled = false;
       }        
               
       SetVariant(myForm, "Flayouts", myForm.Flayouts.options[FlayoutsOption], PicTagName);
    }
    else   
    {
       if (Show_ToLatin1)
       {
          myForm.Latin.options[0].selected = true;
          myForm.Latin.disabled = true;
       }        
       
       SetVariant(myForm, "Slayouts", myForm.Slayouts.options[1], PicTagName);
    }
}   
    

              
function SelectNonUSkeyboards(myForm)
{
  myForm.Keyboards.options.length=8;
  
  myForm.Keyboards.options[1].text="";
  myForm.Keyboards.options[1].value="DE";
  myForm.Keyboards.options[2].text="";
  myForm.Keyboards.options[2].value="SV";
  myForm.Keyboards.options[3].text="";
  myForm.Keyboards.options[3].value="FR";
  myForm.Keyboards.options[4].text="";
  myForm.Keyboards.options[4].value="IT";
  myForm.Keyboards.options[5].text="";
  myForm.Keyboards.options[5].value="ES";
  myForm.Keyboards.options[6].text="";
  myForm.Keyboards.options[6].value="IL";  
  myForm.Keyboards.options[7].text="";
  myForm.Keyboards.options[7].value="UK";    
}  



/* Paul Gorodyansky, author of the site
   "Cyrillic (Russian): instructions for Windows and Internet": 
   http://WinRus.com/
   same as http://WinRus.com
*/

