/* Russian Virtual (on-screen) keyboard - 

  JavaScript file for non-US physical keyboards
                      =========================
                       
  Copyright (c) 2005  Paul Gorodyansky
  
  Implementation: http://Kbd.WinRus.com (http://WinRus.com/onklava.htm)
  or Russian interface version: 
  http://Klava.WinRus.com (http://WinRus.com/klava.htm)

  Paul Gorodyansky - paulgor@compuserve.com, author of the site
  "Cyrillic (Russian): instructions for Windows and Internet": 
  http://WinRus.com/
  ( same as http://WinRus.com )
   
  *************** this Cyrillic text is in UTF-8 encoding ******************

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.    
 *  
 */

JSnonUSwasLoaded = true;

var Show_ToLatin1 = false;
if (typeof ToLatin != 'undefined')
  if (ToLatin)  Show_ToLatin1 = true;

                  // MS Standard йцукен - German keyboard
  var KbdVariant41 = {
     "°": "Ё", 
     "!": "!",     
    "\"": "\"",
     "§": "№", 
     "$": ";", 
     "%": "%", 
     "&": ":", 
     "/": "?", 
     "(": "*", 
     ")": "(", 
     "=": ")", 
     "?": "_", 
     "`": "+", 
    
     "^": "ё", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
"\u00df": "-",     
"\u00b4": "=",     
    
     "Q": "Й", 
     "W": "Ц", 
     "E": "У", 
     "R": "К", 
     "T": "Е", 
     "Z": "Н", 
     "U": "Г", 
     "I": "Ш", 
     "O": "Щ", 
     "P": "З", 
"\u00dc": "Х", 
     "*": "Ъ", 
        
     "q": "й",  
     "w": "ц",  
     "e": "у",  
     "r": "к",  
     "t": "е",  
     "z": "н",  
     "u": "г",  
     "i": "ш",  
     "o": "щ",  
     "p": "з",  
"\u00fc": "х",  
     "+": "ъ",  
        
     "A": "Ф",
     "S": "Ы",
     "D": "В",
     "F": "А",
     "G": "П",
     "H": "Р",
     "J": "О",
     "K": "Л",
     "L": "Д",
"\u00d6": "Ж",
"\u00c4": "Э",
     "'": "/", 
    
     "a": "ф",
     "s": "ы",
     "d": "в",
     "f": "а",
     "g": "п",
     "h": "р",
     "j": "о",
     "k": "л",
     "l": "д",
"\u00f6": "ж",
"\u00e4": "э",
     "#": "\\", 
     
     ">": ">",    
     "Y": "Я",
     "X": "Ч",
     "C": "С",
     "V": "М",
     "B": "И",
     "N": "Т",
     "M": "Ь",    
     ";": "Б",
     ":": "Ю",
     "_": ",",    
          
     "<": "<",
     "y": "я",
     "x": "ч",
     "c": "с",
     "v": "м",
     "b": "и",
     "n": "т",
     "m": "ь",    
     ",": "б",
     ".": "ю",
     "-": "." 
  };


  var KbdVariant61 = {  //German1
     "°": "°",
     "!": "!",    
    "\"": "\"",
     "§": "Щ",
     "$": "$",
     "%": "%",
     "&": "&",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "^": "^",
     "1": "1",
     "2": "2",
     "3": "щ",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
"\u00df": "\u00df",    
"\u00b4": "\u00b4",    
    
     "Q": "Я",
     "W": "В",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Z": "З",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00dc": "Ю",
     "*": "Ч",
    
     "q": "я",
     "w": "в",
     "e": "е",
     "r": "р",
     "t": "т",
     "z": "з",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00fc": "ю",
     "+": "ч",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "X",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d6": "Ё",
"\u00c4": "Э",
     "'": "Ш",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "х",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f6": "ё",
"\u00e4": "э",
     "#": "ш",
     
     ">": "Ъ",    
     "Y": "Ы",
     "X": "Ь",
     "C": "Ц",
     "V": "Ж",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "ъ",
     "y": "ы",
     "x": "ь",
     "c": "ц",
     "v": "ж",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  // Copyright (c) 2005  Paul Gorodyansky http://WinRus.com http://Klava.WinRus.com  
var KbdVariant62 = {  //German2
     "°": "°",
     "!": "!",    
    "\"": "\"",
     "§": "Ъ",
     "$": "ъ",
     "%": "%",
     "&": "Ь",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "^": "^",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
"\u00df": "ь",    
"\u00b4": "\u00b4",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Z": "З",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00dc": "Ю",
     "*": "Ш",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "z": "з",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00fc": "ю",
     "+": "ш",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d6": "Ё",
"\u00c4": "Э",
     "'": "Щ",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f6": "ё",
"\u00e4": "э",
     "#": "щ",
     
     ">": ">",    
     "Y": "Ы",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "y": "ы",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };  
  
                    // MS Standard йцукен - Swedish keyboard
  var KbdVariant42 = {
"\u00bd": "Ё", 
     "!": "!",     
    "\"": "\"",
     "#": "№", 
     "¤": ";", 
     "%": "%", 
     "&": ":", 
     "/": "?", 
     "(": "*", 
     ")": "(", 
     "=": ")", 
     "?": "_", 
     "`": "+", 
        
     "§": "ё", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "+": "-",     
"\u00b4": "=",     
        
     "Q": "Й", 
     "W": "Ц", 
     "E": "У", 
     "R": "К", 
     "T": "Е", 
     "Y": "Н", 
     "U": "Г", 
     "I": "Ш", 
     "O": "Щ", 
     "P": "З", 
"\u00c5": "Х", 
     "^": "Ъ", 
        
     "q": "й",  
     "w": "ц",  
     "e": "у",  
     "r": "к",  
     "t": "е",  
     "y": "н",  
     "u": "г",  
     "i": "ш",  
     "o": "щ",  
     "p": "з",  
"\u00e5": "х",  
"\u00a8": "ъ",  
        
     "A": "Ф",
     "S": "Ы",
     "D": "В",
     "F": "А",
     "G": "П",
     "H": "Р",
     "J": "О",
     "K": "Л",
     "L": "Д",
"\u00d6": "Ж",
"\u00c4": "Э",
     "*": "/", 
        
     "a": "ф",
     "s": "ы",
     "d": "в",
     "f": "а",
     "g": "п",
     "h": "р",
     "j": "о",
     "k": "л",
     "l": "д",
"\u00f6": "ж",
"\u00e4": "э",
     "'": "\\", 
        
     ">": ">",    
     "Z": "Я",
     "X": "Ч",
     "C": "С",
     "V": "М",
     "B": "И",
     "N": "Т",
     "M": "Ь",    
     ";": "Б",
     ":": "Ю",
     "_": ",",    
          
     "<": "<",
     "z": "я",
     "x": "ч",
     "c": "с",
     "v": "м",
     "b": "и",
     "n": "т",
     "m": "ь",    
     ",": "б",
     ".": "ю",
     "-": "." 
  };
  
  
    var KbdVariant71 = {  // Swedish-1
"\u00bd": "Ё",
     "!": "!",    
    "\"": "-",
     "#": "#",
     "¤": "¤",
     "%": "%",
     "&": "&",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "Э",
     "`": "Щ",
    
     "§": "ё",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "э",    
"\u00b4": "щ",    
    
     "Q": "Я",
     "W": "Ш",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00c5": "Ю",
     "^": "Ъ",
    
     "q": "я",
     "w": "ш",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00e5": "ю",
"\u00a8": "ъ",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "X",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d6": "Ч",
"\u00c4": "Ж",
     "*": "*",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "х",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f6": "ч",
"\u00e4": "ж",
     "'": "'",
     
     ">": ">",    
     "Z": "З",
     "X": "Ь",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "з",
     "x": "ь",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  

    var KbdVariant72 = {  // Swedish-2
"\u00bd": "Ё",
     "!": "!",    
    "\"": "\"",
     "#": "ъ",
     "¤": "Ъ",
     "%": "%",
     "&": "'",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "Э",
     "`": "`",
    
     "§": "ё",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "э",    
"\u00b4": "\u00b4",    
    
     "Q": "Я",
     "W": "Ш",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00c5": "Ю",
     "^": "^",
    
     "q": "я",
     "w": "ш",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00e5": "ю",
"\u00a8": "\u00a8",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "X",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d6": "Ч",
"\u00c4": "Ж",
     "*": "Щ",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "х",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f6": "ч",
"\u00e4": "ж",
     "'": "щ",
     
     ">": ">",    
     "Z": "З",
     "X": "Ь",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "з",
     "x": "ь",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };


  
  var KbdVariant73 = {  // Swedish-3
"\u00bd": "Ё",
     "!": "!",    
    "\"": "\"",
     "#": "ъ",
     "¤": "Ъ",
     "%": "ь",
     "&": "Ь",
     "/": "/",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "`": "`",
    
     "§": "ё",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "+": "'",    
"\u00b4": "\u00b4",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00c5": "Ю",
     "^": "^",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00e5": "ю",
"\u00a8": "\u00a8",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d6": "Ш",
"\u00c4": "Щ",
     "*": "Э",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f6": "ш",
"\u00e4": "щ",
     "'": "э",
     
     ">": ">",    
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "з",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };

var KbdVariant43 = {  // // MS Standard йцукен - French keyboard
"\u00b3": "Ё", 
     "1": "!", 
     "2": "\"",
     "3": "№", 
     "4": ";", 
     "5": "%", 
     "6": ":", 
     "7": "?", 
     "8": "*", 
     "9": "(", 
     "0": ")", 
     "°": "_", 
     "+": "+", 
               
"\u00b2": "ё", 
     "&": "1", 
"\u00e9": "2", 
    "\"": "3", 
     "'": "4", 
     "(": "5", 
     "-": "6", 
"\u00e8": "7", 
     "_": "8", 
"\u00e7": "9", 
"\u00e0": "0", 
     ")": "-", 
     "=": "=", 
               
     "A": "Й", 
     "Z": "Ц", 
     "E": "У", 
     "R": "К", 
     "T": "Е", 
     "Y": "Н", 
     "U": "Г", 
     "I": "Ш", 
     "O": "Щ", 
     "P": "З", 
"\u00A8": "Х", 
"\u00A3": "Ъ", 
               
     "a": "й", 
     "z": "ц", 
     "e": "у", 
     "r": "к", 
     "t": "е", 
     "y": "н", 
     "u": "г", 
     "i": "ш", 
     "o": "щ", 
     "p": "з", 
     "^": "х", 
     "$": "ъ", 
               
     "Q": "Ф", 
     "S": "Ы", 
     "D": "В", 
     "F": "А", 
     "G": "П", 
     "H": "Р", 
     "J": "О", 
     "K": "Л", 
     "L": "Д", 
     "M": "Ж", 
     "%": "Э", 
"\u00B5": "/", 
               
     "q": "ф", 
     "s": "ы", 
     "d": "в", 
     "f": "а", 
     "g": "п", 
     "h": "р", 
     "j": "о", 
     "k": "л", 
     "l": "д", 
     "m": "ж", 
"\u00f9": "э", 
     "*": "\\",
               
     ">": ">", 
     "W": "Я", 
     "X": "Ч", 
     "C": "С", 
     "V": "М", 
     "B": "И", 
     "N": "Т", 
     "?": "Ь", 
     ".": "Б", 
     "/": "Ю", 
     "§": ",", 
               
     "<": "<", 
     "w": "я", 
     "x": "ч", 
     "c": "с", 
     "v": "м", 
     "b": "и", 
     "n": "т", 
     ",": "ь", 
     ";": "б", 
     ":": "ю", 
     "!": "."  
  };

var KbdVariant81 = {  // French1
"\u00b3": "\u20ac",
     "1": "1",    
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "°": "°",
     "+": "Ь",
    
"\u00b2": "!",
     "&": "Ё",
"\u00e9": "ё",
    "\"": "\"",
     "'": "'",
     "(": "(",
     "-": "-",
"\u00e8": "\u00e8",
     "_": "_",
"\u00e7": "Ъ",
"\u00e0": "ъ",
     ")": ")",    
     "=": "ь",    
    
     "A": "А",
     "Z": "З",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00A8": "\u00A8",
"\u00A3": "Ш",
    
     "a": "а",
     "z": "з",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
     "^": "^",
     "$": "ш",
        
     "Q": "Я",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
     "M": "М",
     "%": "Ю",
"\u00B5": "Щ",
    
     "q": "я",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
     "m": "м",
"\u00f9": "ю",
     "*": "щ",
     
     ">": ">",    
     "W": "Ж",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "?": "?",    
     ".": ".",
     "/": "/",
     "§": "Э",    
    
     "<": "<",
     "w": "ж",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     ",": ",",    
     ";": ";",
     ":": ":",
     "!": "э"
  };

    var KbdVariant44 = {  // Italian - standard Russian йцукен
     "|": "Ё",   
     "!": "!",   
    "\"": "\"",  
"\u00a3": "№",   
     "$": ";",   
     "%": "%",   
     "&": ":",   
     "/": "?",   
     "(": "*",   
     ")": "(",   
     "=": ")",   
     "?": "_",   
     "^": "+",   
                 
    "\\": "ё",   
     "1": "1",   
     "2": "2",   
     "3": "3",   
     "4": "4",   
     "5": "5",   
     "6": "6",   
     "7": "7",   
     "8": "8",   
     "9": "9",   
     "0": "0",   
     "'": "-",   
"\u00ec": "=",   
                 
     "Q": "Й",   
     "W": "Ц",   
     "E": "У",   
     "R": "К",   
     "T": "Е",   
     "Y": "Н",   
     "U": "Г",   
     "I": "Ш",   
     "O": "Щ",   
     "P": "З",   
"\u00e9": "Х",   
     "*": "Ъ",   
                 
     "q": "й",   
     "w": "ц",   
     "e": "у",   
     "r": "к",   
     "t": "е",   
     "y": "н",   
     "u": "г",   
     "i": "ш",   
     "o": "щ",   
     "p": "з",   
"\u00e8": "х",   
     "+": "ъ",   
                 
     "A": "Ф",   
     "S": "Ы",   
     "D": "В",   
     "F": "А",   
     "G": "П",   
     "H": "Р",   
     "J": "О",   
     "K": "Л",   
     "L": "Д",   
"\u00e7": "Ж",   
     "°": "Э",   
     "§": "/",   
                 
     "a": "ф",   
     "s": "ы",   
     "d": "в",   
     "f": "а",   
     "g": "п",   
     "h": "р",   
     "j": "о",   
     "k": "л",   
     "l": "д",   
"\u00f2": "ж",   
"\u00e0": "э",   
"\u00f9": "\\",  
                 
     ">": ">",   
     "Z": "Я",   
     "X": "Ч",   
     "C": "С",   
     "V": "М",   
     "B": "И",   
     "N": "Т",   
     "M": "Ь",   
     ";": "Б",   
     ":": "Ю",   
     "_": ",",   
                 
     "<": "<",   
     "z": "я",   
     "x": "ч",   
     "c": "с",   
     "v": "м",   
     "b": "и",   
     "n": "т",   
     "m": "ь",   
     ",": "б",   
     ".": "ю",   
     "-": "."    
  };


  
    var KbdVariant91 = {  // Italian1
     "|": "Ю",
     "!": "!",    
    "\"": "\"",
"\u00a3": "ъ",
     "$": "Ъ",
     "%": "%",
     "&": "ё",
     "/": "Ё",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
     "^": "Ь",
    
    "\\": "ю",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "'": "'",    
"\u00ec": "ь",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
"\u00e9": "Ш",
     "*": "Щ",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
"\u00e8": "ш",
     "+": "щ",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00e7": "\u00e7",
     "°": "°",
     "§": "Э",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f2": "\u00f2",
"\u00e0": "\u00e0",
"\u00f9": "э",
     
     ">": ">",    
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "з",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };
  
  
   var KbdVariant45 = {  // Spanish - Standard Russian йцукен
"\u00aa": "Ё",   
     "!": "!",   
    "\"": "\"",  
"\u00b7": "№",   
     "$": ";",   
     "%": "%",   
     "&": ":",   
     "/": "?",   
     "(": "*",   
     ")": "(",   
     "=": ")",   
     "?": "_",   
"\u00bf": "+",   
                 
"\u00ba": "ё",   
     "1": "1",   
     "2": "2",   
     "3": "3",   
     "4": "4",   
     "5": "5",   
     "6": "6",   
     "7": "7",   
     "8": "8",   
     "9": "9",   
     "0": "0",   
     "'": "-",   
"\u00a1": "=",   
                 
     "Q": "Й",   
     "W": "Ц",   
     "E": "У",   
     "R": "К",   
     "T": "Е",   
     "Y": "Н",   
     "U": "Г",   
     "I": "Ш",   
     "O": "Щ",   
     "P": "З",   
     "^": "Х",   
     "*": "Ъ",   
                 
     "q": "й",   
     "w": "ц",   
     "e": "у",   
     "r": "к",   
     "t": "е",   
     "y": "н",   
     "u": "г",   
     "i": "ш",   
     "o": "щ",   
     "p": "з",   
     "`": "х",   
     "+": "ъ",   
                 
     "A": "Ф",   
     "S": "Ы",   
     "D": "В",   
     "F": "А",   
     "G": "П",   
     "H": "Р",   
     "J": "О",   
     "K": "Л",   
     "L": "Д",   
"\u00d1": "Ж",   
"\u00a8": "Э",   
"\u00c7": "/",   
                 
     "a": "ф",   
     "s": "ы",   
     "d": "в",   
     "f": "а",   
     "g": "п",   
     "h": "р",   
     "j": "о",   
     "k": "л",   
     "l": "д",   
"\u00f1": "ж",   
"\u00b4": "э",   
"\u00e7": "\\",  
                 
     ">": ">",   
     "Z": "Я",   
     "X": "Ч",   
     "C": "С",   
     "V": "М",   
     "B": "И",   
     "N": "Т",   
     "M": "Ь",   
     ";": "Б",   
     ":": "Ю",   
     "_": ",",   
                 
     "<": "<",   
     "z": "я",   
     "x": "ч",   
     "c": "с",   
     "v": "м",   
     "b": "и",   
     "n": "т",   
     "m": "ь",   
     ",": "б",   
     ".": "ю",   
     "-": "."    
  };             
  
  
    var KbdVariant101 = {  // Spanish1
"\u00aa": "Ю",
     "!": "!",    
    "\"": "\"",
"\u00b7": "ъ",
     "$": "Ъ",
     "%": "%",
     "&": "ё",
     "/": "Ё",
     "(": "(",
     ")": ")",
     "=": "=",
     "?": "?",
"\u00bf": "Ь",
    
"\u00ba": "ю",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "'": "'",    
"\u00a1": "ь",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
     "^": "^",
     "*": "Э",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
     "`": "`",
     "+": "э",
        
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
"\u00d1": "Ш",
"\u00a8": "\u00a8",
"\u00c7": "Щ",
    
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
"\u00f1": "ш",
"\u00b4": "\u00b4",
"\u00e7": "щ",
     
     ">": ">",    
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     ";": ";",
     ":": ":",
     "_": "_",    
    
     "<": "<",
     "z": "з",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "-": "-"
  };


                                 // British - standard Russian йцукен
  var KbdVariant46 = {          
"\u00ac": "Ё",    
     "!": "!",    
    "\"": "\"",   
"\u00a3": "№",    
     "$": ";",    
     "%": "%",    
     "^": ":",    
     "&": "?",    
     "*": "*",    
     "(": "(",    
     ")": ")",    
     "_": "_",    
     "+": "+",    
                  
     "`": "ё",    
     "1": "1",    
     "2": "2",    
     "3": "3",    
     "4": "4",    
     "5": "5",    
     "6": "6",    
     "7": "7",    
     "8": "8",    
     "9": "9",    
     "0": "0",    
     "-": "-",    
     "=": "=",    
                  
     "Q": "Й",    
     "W": "Ц",    
     "E": "У",    
     "R": "К",    
     "T": "Е",    
     "Y": "Н",    
     "U": "Г",    
     "I": "Ш",    
     "O": "Щ",    
     "P": "З",    
     "{": "Х",    
     "}": "Ъ",    
                  
     "q": "й",    
     "w": "ц",    
     "e": "у",    
     "r": "к",    
     "t": "е",    
     "y": "н",    
     "u": "г",    
     "i": "ш",    
     "o": "щ",    
     "p": "з",    
     "[": "х",    
     "]": "ъ",    
                  
     "A": "Ф",    
     "S": "Ы",    
     "D": "В",    
     "F": "А",    
     "G": "П",    
     "H": "Р",    
     "J": "О",    
     "K": "Л",    
     "L": "Д",    
     ":": "Ж",    
     "@": "Э",    
     "~": "/",    
                  
     "a": "ф",    
     "s": "ы",    
     "d": "в",    
     "f": "а",    
     "g": "п",    
     "h": "р",    
     "j": "о",    
     "k": "л",    
     "l": "д",    
     ";": "ж",    
     "'": "э",    
     "#": "\\",   
                  
     "|": ">",    
     "Z": "Я",    
     "X": "Ч",    
     "C": "С",    
     "V": "М",    
     "B": "И",    
     "N": "Т",    
     "M": "Ь",    
     "<": "Б",    
     ">": "Ю",    
     "?": ",",    
                  
    "\\": "<",    
     "z": "я",    
     "x": "ч",    
     "c": "с",    
     "v": "м",    
     "b": "и",    
     "n": "т",    
     "m": "ь",    
     ",": "б",    
     ".": "ю",    
     "/": "."     
  };    

                                 // British1
  var KbdVariant111 = {          
"\u00ac": "Ю",
     "!": "!",    
    "\"": "\"",
"\u00a3": "\u00a3",
     "$": "ъ",
     "%": "Ъ",
     "^": "ё",
     "&": "Ё",
     "*": "*",
     "(": "(",
     ")": ")",
     "_": "_",
     "+": "Ь",
    
     "`": "ю",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "-": "-",    
     "=": "ь",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "Ы",
     "U": "У",
     "I": "И",
     "O": "О",
     "P": "П",
     "{": "Ш",
     "}": "Щ",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "ы",
     "u": "у",
     "i": "и",
     "o": "о",
     "p": "п",
     "[": "ш",
     "]": "щ",
    
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
     ":": ":",
     "@": "@",
     "~": "Э",
        
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
     ";": ";",
     "'": "'",
     "#": "э",
    
     "|": "|",   
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     "<": "<",
     ">": ">",
     "?": "?",    
    
    "\\": "\\",   
     "z": "з",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "/": "/"
  };    

                                 // British1 - Ukrainian
  var KbdVariant112 = {          
"\u00ac": "Ю",
     "!": "!",    
    "\"": "\"",
"\u00a3": "\u00a3",
     "$": "ї",
     "%": "Ї",
     "^": "ґ",
     "&": "Ґ",
     "*": "*",
     "(": "(",
     ")": ")",
     "_": "_",
     "+": "Ь",
    
     "`": "ю",
     "1": "1",
     "2": "2",
     "3": "3",
     "4": "4",
     "5": "5",
     "6": "6",
     "7": "7",
     "8": "8",
     "9": "9",
     "0": "0",
     "-": "-",    
     "=": "ь",    
    
     "Q": "Я",
     "W": "Ж",
     "E": "Е",
     "R": "Р",
     "T": "Т",
     "Y": "И",
     "U": "У",
     "I": "І",
     "O": "О",
     "P": "П",
     "{": "Ш",
     "}": "Щ",
    
     "q": "я",
     "w": "ж",
     "e": "е",
     "r": "р",
     "t": "т",
     "y": "и",
     "u": "у",
     "i": "і",
     "o": "о",
     "p": "п",
     "[": "ш",
     "]": "щ",
    
     "A": "А",
     "S": "С",
     "D": "Д",
     "F": "Ф",
     "G": "Г",
     "H": "Ч",
     "J": "Й",
     "K": "К",
     "L": "Л",
     ":": ":",
     "@": "@",
     "~": "Є",
        
     "a": "а",
     "s": "с",
     "d": "д",
     "f": "ф",
     "g": "г",
     "h": "ч",
     "j": "й",
     "k": "к",
     "l": "л",
     ";": ";",
     "'": "'",
     "#": "є",
    
     "|": "|",   
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",    
     "<": "<",
     ">": ">",
     "?": "?",    
    
    "\\": "\\",   
     "z": "з",
     "x": "х",
     "c": "ц",
     "v": "в",
     "b": "б",
     "n": "н",
     "m": "м",    
     ",": ",",
     ".": ".",
     "/": "/"
  };    

                  // MS Standard йцукен - Hebrew keyboard
  var KbdVariant47 = {
     "~": "Ё", 
     "!": "!",     
     "@": "\"",
     "#": "№", 
     "$": ";", 
     "%": "%", 
     "^": ":", 
     "&": "?", 
     "*": "*", 
     ")": "(", 
     "(": ")", 
     "_": "_", 
     "+": "+", 
    
     ";": "ё", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "=",     
    
     "Q": "Й", 
     "W": "Ц", 
     "E": "У", 
     "R": "К", 
     "T": "Е", 
     "Y": "Н", 
     "U": "Г", 
     "I": "Ш", 
     "O": "Щ", 
     "P": "З", 
     "}": "Х", 
     "{": "Ъ", 
        
     "/": "й",  
     "'": "ц",  
"\u05e7": "у",  
"\u05e8": "к",  
"\u05d0": "е",  
"\u05d8": "н",  
"\u05d5": "г",  
"\u05df": "ш",  
"\u05dd": "щ",  
"\u05e4": "з",  
     "]": "х",  
     "[": "ъ",  
        
     "A": "Ф",
     "S": "Ы",
     "D": "В",
     "F": "А",
     "G": "П",
     "H": "Р",
     "J": "О",
     "K": "Л",
     "L": "Д",
     ":": "Ж",
    "\"": "Э",
     "|": "/", 
    
"\u05e9": "ф",
"\u05d3": "ы",
"\u05d2": "в",
"\u05db": "а",
"\u05e2": "п",
"\u05d9": "р",
"\u05d7": "о",
"\u05dc": "л",
"\u05da": "д",
"\u05e3": "ж",
     ",": "э",
    "\\": "\\", 
     
     "|": "|",    
     "Z": "Я",
     "X": "Ч",
     "C": "С",
     "V": "М",
     "B": "И",
     "N": "Т",
     "M": "Ь",    
     ">": "Б",
     "<": "Ю",
     "?": ",",    
          
     "\\": "\\",
"\u05d6": "я",
"\u05e1": "ч",
"\u05d1": "с",
"\u05d4": "м",
"\u05e0": "и",
"\u05de": "т",
"\u05e6": "ь",    
"\u05ea": "б",
"\u05e5": "ю",
     ".": "." 
  };


                  // Hebrew-1
  var KbdVariant121 = {
     "~": "Ю",
     "!": "!",    
     "@": "ъ",
     "#": "Ъ",
     "$": "$",
     "%": "%",
     "^": "ё",
     "&": "Ё",
     "*": "*",
     ")": ")",
     "(": "(",
     "_": "_",
     "+": "Ь",
    
     ";": "ю", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "ь",     
    
     "Q": "Я", 
     "W": "Ж", 
     "E": "Е", 
     "R": "Р", 
     "T": "Т", 
     "Y": "Ы", 
     "U": "У", 
     "I": "И", 
     "O": "О", 
     "P": "П", 
     "}": "Ш", 
     "{": "Щ", 
        
     "/": "я",  
     "'": "ж",  
"\u05e7": "е",  
"\u05e8": "р",  
"\u05d0": "т",  
"\u05d8": "ы",  
"\u05d5": "у",  
"\u05df": "и",  
"\u05dd": "о",  
"\u05e4": "п",  
     "]": "ш",  
     "[": "щ",  
        
     "A": "А", 
     "S": "С", 
     "D": "Д", 
     "F": "Ф", 
     "G": "Г", 
     "H": "Ч", 
     "J": "Й", 
     "K": "К", 
     "L": "Л", 
     ":": ":", 
    "\"":  "\"",
     "|": "Э", 
    
"\u05e9": "а",
"\u05d3": "с",
"\u05d2": "д",
"\u05db": "ф",
"\u05e2": "г",
"\u05d9": "ч",
"\u05d7": "й",
"\u05dc": "к",
"\u05da": "л",
"\u05e3": ";",
     ",": ",",
    "\\": "э", 
     
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",   
     ">": ">",
     "<": "<",
     "?": "?",    
          
"\u05d6": "з",
"\u05e1": "х",
"\u05d1": "ц",
"\u05d4": "в",
"\u05e0": "б",
"\u05de": "н",
"\u05e6": "м",    
"\u05ea": "'",
"\u05e5": ",",
     ".": "."
  };
  
                    // Hebrew-2
  var KbdVariant122 = {
     "~": "Ю",
     "!": "!",    
     "@": "ъ",
     "#": "Ъ",
     "$": "$",
     "%": "%",
     "^": "ё",
     "&": "Ё",
     "*": "*",
     ")": "(",
     "(": ")",
     "_": "_",
     "+": "Ь",
    
     ";": "ю", 
     "1": "1", 
     "2": "2", 
     "3": "3", 
     "4": "4", 
     "5": "5", 
     "6": "6", 
     "7": "7", 
     "8": "8", 
     "9": "9", 
     "0": "0", 
     "-": "-",     
     "=": "ь",     
    
     "Q": "Я", 
     "W": "Ж", 
     "E": "Е", 
     "R": "Р", 
     "T": "Т", 
     "Y": "Ы", 
     "U": "У", 
     "I": "И", 
     "O": "О", 
     "P": "П", 
     "}": "Ш", 
     "{": "Щ", 
        
     "/": "я",  
     "'": "ж",  
"\u05e7": "е",  
"\u05e8": "р",  
"\u05d0": "т",  
"\u05d8": "ы",  
"\u05d5": "у",  
"\u05df": "и",  
"\u05dd": "о",  
"\u05e4": "п",  
     "]": "ш",  
     "[": "щ",  
        
     "A": "А", 
     "S": "С", 
     "D": "Д", 
     "F": "Ф", 
     "G": "Г", 
     "H": "Ч", 
     "J": "Й", 
     "K": "К", 
     "L": "Л", 
     ":": ":", 
    "\"":  "\"",
     "|": "Э", 
    
"\u05e9": "а",
"\u05d3": "с",
"\u05d2": "д",
"\u05db": "ф",
"\u05e2": "г",
"\u05d9": "ч",
"\u05d7": "й",
"\u05dc": "к",
"\u05da": "л",
"\u05e3": ";",
     ",": "'",
    "\\": "э", 
     
     "Z": "З",
     "X": "Х",
     "C": "Ц",
     "V": "В",
     "B": "Б",
     "N": "Н",
     "M": "М",   
     ">": "<",
     "<": ">",
     "?": "?",    
          
"\u05d6": "з",
"\u05e1": "х",
"\u05d1": "ц",
"\u05d4": "в",
"\u05e0": "б",
"\u05de": "н",
"\u05e6": "м",    
"\u05ea": ",",
"\u05e5": ".",
     ".": "/"
  };


// German1:
var Mouse61 = "°!\"Щ$%&/()=?`ЯВЕРТЗУИОПЮЧШАСДФГXЙКЛЁЭШЪЫЬЦЖБНМ;:_^12щ4567890" + "\u00df" + "\u00b4"+
              "явертзуиопючшасдфгхйклёэшъыьцжбнм,.-";
// German2:
var Mouse62 = "°!\"Ъъ%Ь/()=?`ЯЖЕРТЗУИОПЮШЩАСДФГЧЙКЛЁЭЩ>ЫХЦВБНМ;:_^1234567890ь" + "\u00b4"+
              "яжертзуиопюшщасдфгчйклёэщ<ыхцвбнм,.-";
                            
// Swedish1:
var Mouse71 = "Ё!-#¤%&/()=ЭЩЯШЕРТЫУИОПЮЪ*АСДФГХЙКЛЧЖ*>ЗЬЦВБНМ;:_ё1234567890эщяшертыуиопюъ'асдфгхйклчж'<зьцвбнм,.-";
// Swedish2:
var Mouse72 = "Ё!\"ъЪ%'/()=Э`ЯШЕРТЫУИОПЮ^ЩАСДФГХЙКЛЧЖЩ>ЗЬЦВБНМ;:_ё1234567890э" + "\u00b4" + 
               "яшертыуиопю" + "\u00a8" + "щасдфгхйклчжщ<зьцвбнм,.-";
// Swedish3:
var Mouse73 = "Ё!\"ъЪьЬ/()=?`ЯЖЕРТЫУИОПЮ^ЭАСДФГЧЙКЛШЩЭ>ЗХЦВБНМ;:_ё1234567890'" + "\u00b4" + 
               "яжертыуиопю" + "\u00a8" + "эасдфгчйклшщэ<зхцвбнм,.-";               

// French1:
var Mouse81 = "\u20ac" + "1234567890°ЬАЗЕРТЫУИОП" + "\u00a8" + "ШЩ" + "ЯСДФГЧЙКЛМЮЩ>ЖХЦВБН?./Э" + 
              "!Ёё\"'(-" + "\u00e8" + "_Ъъ)ь" + "азертыуиоп^шщясдфгчйклмющ<жхцвбн,;:э";


// Italian1:
var Mouse91 = "Ю!\"" + "ъЪ%ёЁ()=?ЬЯЖЕРТЫУИОПШЩЭАСДФГЧЙКЛ" + "\u00e7" + "°Э>ЗХЦВБНМ;:_" +
              "ю1234567890'ьяжертыуиопшщэасдфгчйкл" + "\u00f2" + "\u00e0" + "э<зхцвбнм,.-";

// Spanish1:
var Mouse101 = "Ю!\"ъЪ%ёЁ()=?ЬЯЖЕРТЫУИОП^ЭЩАСДФГЧЙКЛШ" + "\u00a8" + "Щ>ЗХЦВБНМ;:_" +
               "ю1234567890'ьяжертыуиоп`эщасдфгчйклш" + "\u00b4" + "щ<зхцвбнм,.-";   
               
// British1:
var Mouse111 = "Ю!\"" + "\u00a3" + "ъЪёЁ*()_ЬЯЖЕРТЫУИОПШЩЭАСДФГЧЙКЛ:@Э|ЗХЦВБНМ<>?" +
               "ю1234567890-ьяжертыуиопшщэасдфгчйкл;'э\\зхцвбнм,./";
               
var Mouse112 = "Ю!\"" + "\u00a3" + "їЇґҐ*()_ЬЯЖЕРТИУІОПШЩЄАСДФГЧЙКЛ:@Є|ЗХЦВБНМ<>?" +
               "ю1234567890-ьяжертиуіопшщєасдфгчйкл;'є\\зхцвбнм,./";               

// Hebrew1:
var Mouse121 = "Ю!ъЪ$%ёЁ*)(_ЬЯЖЕРТЫУИОПШЩЭАСДФГЧЙКЛ:\"Э|ЗХЦВБНМ><?ю1234567890-ьяжертыуиопшщэасдфгчйкл;,э\\зхцвбнм',.";

// Hebrew2:
var Mouse122 = Mouse1; //YaZHert

//////////////////////////////////////////////////////////



function nonUS_SetVariant(myForm, parm, PicTagName)
{
   switch (KbdPhysical)                                                        
   {                                                                           
     case "DE":     
       if (KbdVariant == '41') NewKbdPic(PicTagName,'kbd/std_de.png')
       else if (KbdVariant == '61') NewKbdPic(PicTagName,'kbd/german1.png')
       else if (KbdVariant == '62') NewKbdPic(PicTagName,'kbd/german2.png')
       break;                                                                  
                       
     case "SV":  // Swedish     
       if (KbdVariant == '42') NewKbdPic(PicTagName,'kbd/std_sv.png')
       else if (KbdVariant == '71') NewKbdPic(PicTagName,'kbd/swedish1.png')
       else if (KbdVariant == '72') NewKbdPic(PicTagName,'kbd/swedish2.png')
       else if (KbdVariant == '73') NewKbdPic(PicTagName,'kbd/swedish3.png')
       break;                                                                  
     case "FR":                                                                
       if (KbdVariant == '43') NewKbdPic(PicTagName,'kbd/std_fr.png')
       else if (KbdVariant == '81') NewKbdPic(PicTagName,'kbd/french1.png')
       break;                                                 
     case "IT":  // Italian                                                    
       if (KbdVariant == '44') NewKbdPic(PicTagName,'kbd/std_it.png')
       else if (KbdVariant == '91') NewKbdPic(PicTagName,'kbd/italian1.png')
       break;                                                                                 
     case "ES":  // Spanish                                                    
       if (KbdVariant == '45') NewKbdPic(PicTagName,'kbd/std_es.png')
       else if (KbdVariant == '101') NewKbdPic(PicTagName,'kbd/spanish1.png')
       break;                                                                  
     case "UK":                                                                
       if (KbdVariant == '46') NewKbdPic(PicTagName,'kbd/std_uk.png')
       else if (KbdVariant == '111') NewKbdPic(PicTagName,'kbd/british1.png')
       else if (KbdVariant == '112') NewKbdPic(PicTagName,'kbd/brit1ukr.png')
       break;                                                                                                                                                         
     case "IL":     
       if (KbdVariant == '47') NewKbdPic(PicTagName,'kbd/std_il.png')
       else if (KbdVariant == '121') NewKbdPic(PicTagName,'kbd/hebrew1.png')
       else if (KbdVariant == '122') NewKbdPic(PicTagName,'kbd/hebrew2.png')
       break;                                                                                                                                              
     default:                                                                  
       break;                                                                  
   }                                                                                                                                 
}          

function nonUSsetMenus(KbdPhysical)
{
    myForm.Keyboards.options[0].text="Английский, США";
    myForm.Keyboards.options[0].value="EN";
    
    switch (KbdPhysical)                                                        
    {                                                                           
      case "DE":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="41";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Немецкая-1";
          myForm.Flayouts.options[1].value="61";          
          myForm.Flayouts.options[2].text="Немецкая-2";
          myForm.Flayouts.options[2].value="62";          

        break;                                                                  

      case "SV":  // Swedish                                                    
          myForm.Flayouts.options.length=4;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="42";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Шведская-1";
          myForm.Flayouts.options[1].value="71";          
          myForm.Flayouts.options[2].text="Шведская-2";
          myForm.Flayouts.options[2].value="72";                    
          myForm.Flayouts.options[3].text="Шведская-3";
          myForm.Flayouts.options[3].value="73";                              

          
        break;                                                                  

      case "FR":                                                                
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="43";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Французская-1";
          myForm.Flayouts.options[1].value="81";          
         
        break;                                                                  

      case "IT":  // Italian                                                    
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="44";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Итальянская-1";
          myForm.Flayouts.options[1].value="91";          

        break;                                                                  

      case "ES":  // Spanish                                                    
          myForm.Flayouts.options.length=2;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="45";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Испанская-1";
          myForm.Flayouts.options[1].value="101";          

        break;                                                                  

      case "UK":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="46";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Британская-1";
          myForm.Flayouts.options[1].value="111";          
          myForm.Flayouts.options[2].text="Украинская-1";
          myForm.Flayouts.options[2].value="112";                    

        break;                                                                                                                                                  

      case "IL":                                                                
          myForm.Flayouts.options.length=3;
          myForm.Slayouts.options.length=2;
          
          myForm.Slayouts.options[0].text="Выбрать";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="47";
          
          myForm.Flayouts.options[0].text="Выбрать";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="Иврит-1";
          myForm.Flayouts.options[1].value="121";          
          myForm.Flayouts.options[2].text="Иврит-2";
          myForm.Flayouts.options[2].value="122";          

        break;                                                                  

                                                                                
      case "EN":                                                                
      default:                                                                  
          myForm.Flayouts.options.length=13;
          myForm.Slayouts.options.length=5;
          
          myForm.Slayouts.options[0].text="Выбрать из 4";
          myForm.Slayouts.options[0].value="0";
          myForm.Slayouts.options[1].text="йцукен";
          myForm.Slayouts.options[1].value="30";
          myForm.Slayouts.options[2].text="йцукен (машинопись)";
          myForm.Slayouts.options[2].value="31";
          myForm.Slayouts.options[3].text="алфавитный порядок";
          myForm.Slayouts.options[3].value="32";
          myForm.Slayouts.options[4].text="украинская";
          myForm.Slayouts.options[4].value="33";          
          
          myForm.Flayouts.options[0].text="Выбрать из 12";
          myForm.Flayouts.options[0].value="0";
          myForm.Flayouts.options[1].text="яЖерты";
          myForm.Flayouts.options[1].value="1";
          myForm.Flayouts.options[2].text="яВерты";
          myForm.Flayouts.options[2].value="2";
          myForm.Flayouts.options[3].text="яШерты";
          myForm.Flayouts.options[3].value="3";
          myForm.Flayouts.options[4].text="яЩерты";
          myForm.Flayouts.options[4].value="4";
          myForm.Flayouts.options[5].text="Студенческая";
          myForm.Flayouts.options[5].value="5";
          myForm.Flayouts.options[6].text="яВерты2";
          myForm.Flayouts.options[6].value="6";
          myForm.Flayouts.options[7].text="яШерты2";
          myForm.Flayouts.options[7].value="7";
          myForm.Flayouts.options[8].text="яШерты3";
          myForm.Flayouts.options[8].value="8";          
          myForm.Flayouts.options[9].text="яЖерты2";
          myForm.Flayouts.options[9].value="9";                                                                                
          myForm.Flayouts.options[10].text="яЖерты3";
          myForm.Flayouts.options[10].value="10";
          myForm.Flayouts.options[11].text="яЮертй";
          myForm.Flayouts.options[11].value="11";                    
          myForm.Flayouts.options[12].text="украинская";
          myForm.Flayouts.options[12].value="12";                              

          
          // SetVariant(myForm, "Flayouts", myForm.Flayouts.options[1], PicTagName);
        break;                                                                  
    }
        
}
           
function chgKeyboard(myForm, k, SelValue, SelIndex, PicTagName)  
{
 //    myForm.Flayouts.options.length=0;
    

    myForm.Keyboards.options[SelIndex].selected = true;
    KbdPhysical = SelValue; 
     
    var FlayoutsOption; 
    if (interfaceLanguage == 'E' && JSnon_EwasLoaded)
    {
         nonUSsetMenusE(KbdPhysical);
         FlayoutsOption = 5;
    }
    else
    {
         nonUSsetMenus(KbdPhysical);
         FlayoutsOption = 1;
    }
    
    if (KbdPhysical == "EN")
    {
       if (Show_ToLatin1)
       {
          myForm.Latin.options[0].selected = true;
          myForm.Latin.disabled = false;
       }        
               
       SetVariant(myForm, "Flayouts", myForm.Flayouts.options[FlayoutsOption], PicTagName);
    }
    else   
    {
       if (Show_ToLatin1)
       {
          myForm.Latin.options[0].selected = true;
          myForm.Latin.disabled = true;
       }        
       
       SetVariant(myForm, "Slayouts", myForm.Slayouts.options[1], PicTagName);
    }
}   
    

              
function SelectNonUSkeyboards(myForm)
{
  myForm.Keyboards.options.length=8;
  
  myForm.Keyboards.options[1].text="Немецкий";
  myForm.Keyboards.options[1].value="DE";
  myForm.Keyboards.options[2].text="Шведский";
  myForm.Keyboards.options[2].value="SV";
  myForm.Keyboards.options[3].text="Французский";
  myForm.Keyboards.options[3].value="FR";
  myForm.Keyboards.options[4].text="Итальянский";
  myForm.Keyboards.options[4].value="IT";
  myForm.Keyboards.options[5].text="Испанский";
  myForm.Keyboards.options[5].value="ES";
  myForm.Keyboards.options[6].text="Иврит";
  myForm.Keyboards.options[6].value="IL";  
  myForm.Keyboards.options[7].text="Британский";
  myForm.Keyboards.options[7].value="UK";    
}  



/* Paul Gorodyansky, author of the site
   "Cyrillic (Russian): instructions for Windows and Internet": 
   http://WinRus.com/
   same as http://WinRus.com
*/

